unit Form_Info;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, ShellAPI, Forms, Dialogs,
  StdCtrls, ExtCtrls, Buttons,

  U_Constants, U_Basic;

type
  TKRLSCF_InfoDialog = class(TForm)
    Label_Version: TLabel;
    Label_CopyRight: TLabel;
    Label_Email_1: TLabel;
    Label_www_2: TLabel;
    Label_www_1: TLabel;
    Label_Email_2: TLabel;
    Btn_OK: TBitBtn;
    Label4: TLabel;
    Image1: TImage;
    procedure FormShow(Sender: TObject);
    procedure Btn_OKClick(Sender: TObject);
    procedure Label_www_2Click(Sender: TObject);
    procedure Label_Email_2Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  KRLSCF_InfoDialog: TKRLSCF_InfoDialog;

implementation

{$R *.DFM}
{==============================================================================}

procedure TKRLSCF_InfoDialog.FormShow(Sender: TObject);
begin
  Label_Version.Caption := AppVersionStr;
end;
{==============================================================================}

procedure TKRLSCF_InfoDialog.Btn_OKClick(Sender: TObject);
begin
  Close;
end;
{==============================================================================}

procedure TKRLSCF_InfoDialog.Label_www_2Click(Sender: TObject);
begin
  ShellExecute(Application.Handle, 'open',
    PChar('http://www.sixdots.de'), nil, nil, SW_ShowNormal);
end;
{==============================================================================}

procedure TKRLSCF_InfoDialog.Label_Email_2Click(Sender: TObject);
begin
  ShellExecute(Application.Handle, 'open',
    PChar('mailto:freeware@sixdots.de?subject=' + AppNameStr + '_' + AppVersionStr),
    nil, nil, SW_ShowNormal);
end;

end.

